1. Mutual Fund APIs
  • Mutual Funds Data API - Introduction
  • Authentication, Request & Response
  • Code Samples & API Trial
  • List of APIs
  • Mutual Fund APIs
    • GetAMCMaster
      GET
    • GetSchemeMaster
      GET
    • GetSchemeTypeMaster
      GET
    • GetSchemeCategoryMaster
      GET
    • GetNAV
      GET
    • GetNAVHistory
      GET
    • GetAUM
      GET
    • GetAUMHistory
      GET
    • GetAumSchemeComparison
      GET
    • GetAumTopGainersLosers
      GET
    • GetHoldings
      GET
    • GetHoldingsSearch
      GET
    • GetHoldingsWhatChanged
      GET
    • GetHoldingsByType
      GET
    • GetNewFundOffers
      GET
  • Helper Functions
    • GetLimitation
      GET
    • GetServerInfo
      GET
  • Diagnostic API Responses
    • Diagnostic API Responses
  • Release Notes
    • 📢Release Notes
  1. Mutual Fund APIs

GetHoldingsByType

GET
https://test.lisuns.com:4532/GetHoldingsByType
▶️ 'Try It' now !
pointer.gif
The GetHoldingsByType returns official portfolio holdings breakdowns for mutual fund schemes, covering asset types, total weights and values, and weight changes.

What is returned?#

Type, TotalWeight, TotalValue, WeightChange

Sample Response#

JSON
XML
CSV
CsvContent
{
"Value": [
{
"Type": "Large Cap",
"TotalWeight": 66.48000000000003,
"TotalValue": 249659.4431,
"WeightChange": 2.1198156682028015
},
{
"Type": "Mid Cap",
"TotalWeight": 15.590000000000002,
"TotalValue": 58563.97480000002,
"WeightChange": 7.000686341798251
},
{
"Type": "Small Cap",
"TotalWeight": 11.42,
"TotalValue": 42870.6976,
"WeightChange": -6.3934426229508015
}
]
}

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://test.lisuns.com:4532/GetHoldingsByType?accessKey=4f863b18-f33e-4260-aa65-c60c1ad88686&name=NJ&isin=&code=&type=Size&dTFormat=string&format=Json'

Responses

🟢200
application/json
Success
Body

Example
{
    "value": [
        {
            "type": "string",
            "totalWeight": 0,
            "totalValue": 0,
            "weightChange": 0
        }
    ],
    "count": 0
}
Previous
GetHoldingsWhatChanged
Next
GetNewFundOffers
Built with